Bug 1855378 - Operatorhub timestamps
Summary: Operatorhub timestamps
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: OpenShift Container Platform
Classification: Red Hat
Component: Management Console
Version: 4.4
Hardware: x86_64
OS: Unspecified
medium
low
Target Milestone: ---
: 4.6.0
Assignee: Robb Hamilton
QA Contact: Yadan Pei
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2020-07-09 17:49 UTC by Gokhan Yucegok
Modified: 2020-10-27 16:13 UTC (History)
4 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Cause: The operator Created At timestamp format varies among operators as the API does not require a specific format. Consequence: Created At timestamps display as they are entered for each operator, leading to differences in how they display in the console. Fix: If the Created At timestamp is entered as a valid date, the console will now display it using the Timestamp component, making it consistent with how timestamps are displayed elsewhere in the console. Result: The Created At timestamp displays in a consistent manner with other timestamps in the console, assuming the value entered is a valid date (note some are not and display the invalid string itself).
Clone Of:
Environment:
Last Closed: 2020-10-27 16:13:30 UTC
Target Upstream Version:


Attachments (Terms of Use)
Verification screenshot (109.71 KB, image/png)
2020-07-31 09:22 UTC, XiaochuanWang
no flags Details


Links
System ID Private Priority Status Summary Last Updated
Github openshift console pull 6135 0 None closed Bug 1855378: display Created At value using <Timestamp> if valid date 2020-10-15 20:07:34 UTC
Red Hat Product Errata RHBA-2020:4196 0 None None None 2020-10-27 16:13:32 UTC

Description Gokhan Yucegok 2020-07-09 17:49:43 UTC
Dear Team,

The creation timestamps of every operator has a different format, just browsing a few of them will give you an idea. I think having a common format would improve user experience.

Some examples

Created At
2019-11-30 22:40:00

Created At
2019-01-24T15-33-43Z

Created At
Fri Jan 17 09:58:52 UTC 2020

Created At
02/04/2020

Thanks
Gokhan Yucegok

Comment 2 Evan Cordell 2020-07-14 12:50:43 UTC
Could you please clarify where you see these values?

Comment 3 Gokhan Yucegok 2020-07-14 13:07:51 UTC
Hi Evan,

They are here;
OCP Webconsole -> operatorhub -> select an operator -> somewhere at the left hand side of an operator window.

The left hand side of the page goes on like this: "operator version", "capability level", "provider type" ... "created at"

BR
Gokhan

Comment 4 Nick Hale 2020-07-27 18:02:32 UTC
I think the console team would have a better idea of where this value is coming from and how it's being formatted.

Moving over to console.

Comment 7 XiaochuanWang 2020-07-31 09:22:36 UTC
Created attachment 1703078 [details]
Verification screenshot

Comment 8 XiaochuanWang 2020-07-31 09:23:51 UTC
Attached screenshot, the created time is same as the format "May 31, 2019 6:40 am"
Verified on 4.6.0-0.nightly-2020-07-31-062158

Comment 10 errata-xmlrpc 2020-10-27 16:13:30 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory (OpenShift Container Platform 4.6 GA Images), and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHBA-2020:4196


Note You need to log in before you can comment on or make changes to this bug.